RunAll Struct Reference

`#include <test-runner.h>`

Collaboration diagram for RunAll:
[legend]

## Public Member Functions

RunSuite * | findSuite (std::string name)
void | runSuite (RunSuite &s, int fromTest, int suite, int suiteCount)
void | runTest (RunSuite &s, int test)
void | runFrom (int suite, int test)

## Public Attributes

RunSuite * | suites
int | suiteCount
RunFeedback * | feedback

## Member Function Documentation

## findSuite()

RunSuite* RunAll::findSuite | ( | std::string | name | ) |

inline

Referenced by Main::child().

## runFrom()

void RunAll::runFrom | ( | int | suite,
|  | int | test
| ) |  |

inline

References assert.

Referenced by Main::child().

## runSuite()

void RunAll::runSuite | ( | RunSuite & | s,
|  | int | fromTest,
|  | int | suite,
|  | int | suiteCount
| ) |  |

inline

References wibble::str::fmtf(), RunTest::name, RunSuite::name, RunTest::run, RunFeedback::status(), RunSuite::testCount, RunSuite::tests, and RunFeedback::waitForAck().

Referenced by Main::child().

## runTest()

void RunAll::runTest | ( | RunSuite & | s,
|  | int | test
| ) |  |

inline

References RunTest::name, RunSuite::name, RunTest::run, RunFeedback::status(), RunSuite::tests, and RunFeedback::waitForAck().

Referenced by Main::child().

## Member Data Documentation

## feedback

RunFeedback* RunAll::feedback

Referenced by Main::main().

## suiteCount

int RunAll::suiteCount

Referenced by Main::main().

## suites

RunSuite* RunAll::suites

Referenced by Main::main().

The documentation for this struct was generated from the following file:

- test-runner.h